Docs
Get Proposals
GET /Proposals
GET
/ProposalsLists the event's proposals and change orders with status, whether the price is locked, client, calculated financials and cash position (billed and received). Use Proposals_GetProposal for one proposal's groups, line items and adjustments. Requires event admin permission.
Response
Type: GetProposalsResponse[]
GetProposalsResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| type | string| null | |
| parentProposalId | uuid| null | |
| status | string| null | |
| isPriceLocked | boolean | |
| acceptedDate | date-time| null | |
| client | GetProposalsResponseClientInfo | |
| financials | ProposalFinancials | |
| cash | ProposalCash |
GetProposalsResponseClientInfo
| Field | Type | Description |
|---|---|---|
| collaboratorRecordId | uuid| null |
ProposalFinancials
| Field | Type | Description |
|---|---|---|
| baseCost | number | |
| totalCost | number | |
| baseCharge | number | |
| totalCharge | number | |
| margin | number | |
| marginPercent | number| null | |
| spendCeiling | number| null | |
| actualCost | number| null | |
| actualMargin | number| null | |
| isOverBudget | boolean| null | |
| effects | ProposalFinancialsColumnEffect[]| null |
ProposalCash
| Field | Type | Description |
|---|---|---|
| billed | number | |
| received | number | |
| outstanding | number | |
| overBilled | number | |
| overCollected | number | |
| isInvoiced | boolean | |
| isPartiallyPaid | boolean |
ProposalFinancialsColumnEffect
| Field | Type | Description |
|---|---|---|
| adjustmentId | uuid | |
| name | string| null | |
| appliesTo | string| null | |
| method | string| null | |
| index | integer | |
| effectiveValue | number| null | |
| effect | number | |
| isHiddenFromClient | boolean |